### Method

# Fwupd BiosSetting get_current_value

#### Declaration [src]

    const gchar*
    fwupd_bios_setting_get_current_value (
      FwupdBiosSetting* self
    )

#### Description [src]

Gets the string representation of the current_value stored in an attribute from the kernel. This value is cached; so changing it outside of fwupd may may put it out of sync.

Available since: | 1.8.4

#### Return value

Returns: | `const gchar*`
| The current value of the attribute.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.